<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page import="org.wso2.carbon.registry.ui.activities.clients.ActivityServiceClient" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.activities.beans.xsd.ActivityBean" %>
<%@ page import="org.wso2.carbon.registry.ui.common.utils.UIUtil" %>

<fmt:bundle basename="org.wso2.carbon.registry.ui.activities.i18n.Resources">

    <%
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        ActivityServiceClient client = new ActivityServiceClient(cookie, config, session);
        ActivityBean activityBean = client.getActivities(request);

        String[] activities = activityBean.getActivity();
        if (activities.length != 0) {
    %>
    <h3><fmt:message key="search.results"/></h3>
    <table cellpadding="0" cellspacing="0" border="0" style="width:100%" class="styledLeft">
        <thead>
        <tr>
            <th align="left"><fmt:message key="activities"/></th>
        </tr>
        </thead>
        <%
            for (int i = 0; i < activities.length; i++) {
                String implodedActivity = activities[i];
                String[] explodedActivity = implodedActivity.split("\\|");
                if (explodedActivity == null || explodedActivity.length < 6) {
                    continue;
                }

                String activity;
                // If this is a "delete" activity
                if(explodedActivity[2].trim().contains("has deleted the resource")){
                    activity = "<a href='#" + explodedActivity[0] + "'>" + explodedActivity[1] + "</a>"
                            + explodedActivity[2] +  explodedActivity[4] + explodedActivity[5];
                }

                // Activities which are not "delete" activities
                else {
                    activity = "<a href='#" + explodedActivity[0] + "'>" + explodedActivity[1] + "</a>"
                            + explodedActivity[2] + "<a href='" + UIUtil.getContextRoot(request) +
                            "carbon/resources/resource.jsp?path=" + explodedActivity[3] + "'>" + explodedActivity[4]
                            + "</a>" + explodedActivity[5];
                }
                if (explodedActivity.length > 6 && explodedActivity[6] != null) {
                    activity += "<br/>" + explodedActivity[6];
                }

        %>
        <tr>
            <td><%=activity%>
            </td>
        </tr>
        <%
            }
        %>
        <!-- get pagination from ajax/activity.jsp -->

    </table>
    <%
    } else {
    %>
    <strong>
        <fmt:message key="no.activities.found"/>.
    </strong>
    <%
        }
    %>
</fmt:bundle>